#include <iostream>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	int n, k, x;
	cin >> n >> k >> x;
	int a = 0;
	int c = 1;
	int niz[n];
	for(int i = 1; i <= n; i++) {
		cin >> niz[i];
	}
	int b[k];
	int rez[n - k + 1];
	int l = 0;
	for(int i = 1; i <= n; i++) {
		for(int j = i; j <= k; j++) {
			b[j] = niz[j];
			if(c <= x) {
				if(b[j] < 0 && b[j + 1] < 0) {
					a += b[j] * c;
				}
				if(b[j] > 0 && b[j + 1] > 0) {
					a += b[j] * c;
					c++;
				}
				if(b[j] > 0 && b[j + 1] < 0) {
					a += b[j] * c;
				}
				if(b[j] < 0 && b[j + 1] > 0) {
					a += b[j] * c;
					c++;
				}
			} else {
				break;
			}
		}
		rez[i] = a;
		a = 0;
		c = 1;
	}
	
	
	for(int i = 1; i <= n - k + 1; i++) {
		cout << rez[i] << " ";
	}
	
	return 0;
}